Package org.apache.sysds.lops

## Class LopProperties

- java.lang.Object
- - org.apache.sysds.lops.LopProperties

    public class LopProperties
    extends Object

### Constructor Summary

Constructors
`LopProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Types.ExecType` `getExecType()`
`long` `getID()`
`int` `getLevel()`
`boolean` `getProducesIntermediateOutput()`
`void` `setExecType​(Types.ExecType newExecType)`
`void` `setLevel​(int l)`
`void` `setLevel​(ArrayList<Lop> inputs)`
`void` `setNewID()`
`void` `setProducesIntermediateOutput​(boolean pio)`
`void` `setProperties​(ArrayList<Lop> inputs, Types.ExecType et)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LopProperties

    public LopProperties()

### Method Detail

#### getID

    public long getID()

#### setNewID

    public void setNewID()

#### getLevel

    public int getLevel()

#### setLevel

    public void setLevel​(int l)

#### getExecType

    public Types.ExecType getExecType()

#### setExecType

    public void setExecType​(Types.ExecType newExecType)

#### getProducesIntermediateOutput

    public boolean getProducesIntermediateOutput()

#### setProducesIntermediateOutput

    public void setProducesIntermediateOutput​(boolean pio)

#### setLevel

    public void setLevel​(ArrayList<Lop> inputs)

#### setProperties

    public void setProperties​(ArrayList<Lop> inputs,
                              Types.ExecType et)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`